CVE-2013-4549

Priority
Description
QXmlSimpleReader in Qt before 5.2 allows context-dependent attackers to
cause a denial of service (memory consumption) via an XML Entity Expansion
(XEE) attack.
Assigned-to
mdeslaur
Package
Upstream:needed
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was not-affected [code not present])
Ubuntu 14.04 ESM (Trusty Tahr):needed
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (code not present)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (code not present)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (code not present)
Ubuntu 19.04 (Disco Dingo):not-affected (code not present)
Ubuntu 19.10 (Eoan):not-affected (code not present)
Package
Upstream:needed
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was released [4:4.8.1-0ubuntu4.5])
Ubuntu 14.04 ESM (Trusty Tahr):released ([4:4.8.4+dfsg-0ubuntu20])
Ubuntu 16.04 LTS (Xenial Xerus):released (4:4.8.4+dfsg-0ubuntu20)
Ubuntu 18.04 LTS (Bionic Beaver):released (4:4.8.4+dfsg-0ubuntu20)
Ubuntu 18.10 (Cosmic Cuttlefish):released (4:4.8.4+dfsg-0ubuntu20)
Ubuntu 19.04 (Disco Dingo):released (4:4.8.4+dfsg-0ubuntu20)
Ubuntu 19.10 (Eoan):released (4:4.8.4+dfsg-0ubuntu20)
Patches:
Upstream:https://codereview.qt-project.org/#change,71010
Upstream:https://qt.gitorious.org/qt/kenji-clone/commit/512a1ce0698d370c313bb561bbf078935fa0342e
Upstream:https://qt.gitorious.org/qt/kenji-clone/commit/cecceb0cdd87482124a73ecf537f3445d68be13e
Package
Upstream:released (5.1.1+dfsg-6)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE (trusty was released [5.0.2+dfsg1-7ubuntu13])
Ubuntu 16.04 LTS (Xenial Xerus):released (5.0.2+dfsg1-7ubuntu13)
Ubuntu 18.04 LTS (Bionic Beaver):released (5.0.2+dfsg1-7ubuntu13)
Ubuntu 18.10 (Cosmic Cuttlefish):released (5.0.2+dfsg1-7ubuntu13)
Ubuntu 19.04 (Disco Dingo):released (5.0.2+dfsg1-7ubuntu13)
Ubuntu 19.10 (Eoan):released (5.0.2+dfsg1-7ubuntu13)
Patches:
Upstream:https://codereview.qt-project.org/#change,70708 (head)
Upstream:https://codereview.qt-project.org/#change,71368 (5.1)
Upstream:https://qt.gitorious.org/qt/qtbase/commit/779fa9c590a1bf399b34fbf293d8399e61a1e15c (5.1)
More Information

Updated: 2019-05-15 17:14:29 UTC (commit 2d71aefac924bf16479c12958688c37878e881eb)